rem Copyright Murray Grant
rem Apache License

rem Signs and generates hashes for a file

rem PGP
gpg -a -u murray.grant@ligos.net -b "%1"
IF ERRORLEVEL 1 pause
gpg --verify "%1.asc" "%1"
IF ERRORLEVEL 1 pause

rem KeyBase
keybase sign -d -i "%1" -o "%1.keybase.asc"
IF ERRORLEVEL 1 pause
keybase verify -d "%1.keybase.asc" -i "%1"
IF ERRORLEVEL 1 pause

rem Hashes via 7-zip
"c:\Program Files\7-Zip\7z.exe" h -scrc* "%1" > "%1.hashes"
IF ERRORLEVEL 1 pause

rem Copy to single file
copy SignatureTemplate.txt + "%1.hashes" + BlanksLines.txt + "%1.asc" + BlanksLines.txt + "%1.keybase.asc"  "%1.signatures.txt"
del "%1.asc"
del "%1.keybase.asc"
del "%1.hashes"

For %%A in ("%1") do (
    Set Folder=%%~dpA
    Set Name=%%~nxA
)
SET ParentFolder=%Folder:~0,-1%
for %%I in ("%ParentFolder%") do (
	Set FolderName=%%~nxI
)

rem Copy PGP key
copy murray.grant@ligos.net.asc %Folder%

rem Copy to CountDooku Archive
copy "%1" "\\countdooku\archive\ExternalDisks\%FolderName%.Manifest.txt"
copy "%1.signatures.txt" "\\countdooku\archive\ExternalDisks\%FolderName%.Manifest.signatures.txt"